#
# spec file for package ssldump
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ssldump
%if 0%{?suse_version} > 1320 || (0%{?is_opensuse} && 0%{?leap_version} == 420300)
BuildRequires:  libpcap-devel-static
%else
BuildRequires:  libpcap-devel
%endif
BuildRequires:  libtool
BuildRequires:  openssl-devel
Version:        0.9b3
Release:        bp153.1.16
Summary:        SSLv3/TLS Network Protocol Analyzer
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
Url:            http://www.rtfm.com/ssldump
Source:         ssldump-%{version}.tar.gz
Patch:          ssldump-0.9b3-libpcap.diff
Patch1:         random_return.patch
Patch2:         ssldump-0.9b3-aes.patch
Patch3:         implicit_def.patch
Patch4:         ssldump-0.9b3-newssl.patch
Patch5:         ssldump-cvs-06-19-2006.diff
Patch6:         update-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ssldump is an SSLv3/TLS network protocol analyzer. It identifies TCP
connections on the chosen network interface and attempts to interpret
them as SSLv3/TLS traffic. When it identifies SSLv3/TLS traffic, it
decodes the records and outputs them in a textual form to stdout. If
provided with the appropriate keying material, it also decrypts the
connections and displays the application data traffic.



Authors:
--------
    Eric Rescorla <ekr@rtfm.com>

%prep
%setup -n ssldump-%{version}
%patch
%patch1
%patch2 -p 1
%patch3
%patch4
%patch5 -p 1
%patch6 -p1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
autoreconf
export CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix} \
	    --libdir=%{_libdir} \
	    --with-pcap-lib=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT/%{_prefix}/sbin MANDIR=$RPM_BUILD_ROOT/%{_mandir} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/*
%doc COPYRIGHT CREDITS ChangeLog FILES INSTALL* README VERSION
%doc %{_mandir}/man?/*.gz

%changelog
* Tue Mar 24 2020 Michael Calmer <mc@suse.com>
- fix macro to fix build on openSUSE Leap 15.2
* Thu Jun 29 2017 mlin@suse.com
- Compile with libpcap-devel-static if Leap
  * Since pcap updated to new version in 42.3 too, ssldump need to
    compile with libpcap-devel-static.
* Fri Jul  3 2015 alarrosa@suse.com
- Added a conditional build requirement to compile in versions
  other than Factory.
* Fri Jul  3 2015 dimstar@opensuse.org
- BuildRequires libpcap-devel-static instead of libpcap: the static
  library has been split out.
* Sun Jan 29 2012 coolo@suse.com
- update config.* files - upstream is dead ;(
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Jul 26 2007 prusnak@suse.cz
- changed libpcap to libpcap-devel in BuildRequires
* Tue Jun  5 2007 mc@suse.de
- add ssldump-cvs-06-19-2006.diff
- re-work patch for new ssl version
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 ro@suse.de
- include openssl/md5.h in ssldecode.c
* Wed Jul  6 2005 choeger@suse.de
- #include <string.h> when using related functions
* Thu Feb 17 2005 choeger@suse.de
- Bugfix Bugzilla ID#50952 - ssldump has no support for AES cipher-suites
* Fri Apr 23 2004 choeger@suse.de
- use -fno-strict-aliasing to compile
- fixed two functions which does not return anything matching
  their prototypes
* Thu Feb 12 2004 ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Mon Nov  3 2003 choeger@suse.de
- make it build on biarch platforms
* Fri Oct 31 2003 choeger@suse.de
- new package (v0.9b3)
